incubator-couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benoit Chesneau <bchesn...@gmail.com>
Subject Re: is there a python client that supports the _changes API?
Date Fri, 11 Dec 2009 20:53:40 GMT
On Fri, Dec 11, 2009 at 9:39 PM, Roger Binns <rogerb@rogerbinns.com> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Benoit Chesneau wrote:
>> afaik i don't use couchdb-python just couchdbkit ;)
>
> I tried couchdbkit once but sadly was unable to install it due to ending up
> in a twisty maze of incompatible Python packaging and distribution
> solutions.  python-couchdb is already packaged by Ubuntu so it was no hassle
> to install and use.  python-couchdb certainly has issues as do its
> dependencies (httplib2) but something that actually installs always beats
> something "better" that doesn't!
Yeah.
The only package manager needed is easy_install, never had any bug
report about it. It'as also used by some users around. I don't know
what the problem you had maybe if you have posted a bug report would
have solve it.

>
> If you want people like me to use it then I suggest making some sort of self
> contained bundle of couchdbkit plus all the dependencies that work together
> and don't need various package managers.
kage system.

Couchdbkit has been put in mandriva by their team, for debian, ubuntu
I guess I need to provide a package. Since I don't use them it it will
mostly depends if there is a demand for it.

- benoît

Mime
View raw message